'use strict';

exports.__esModule = true;

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _stcHelper = require('stc-helper');

var _stcDepParser = require('stc-dep-parser');

var _stcDepParser2 = _interopRequireDefault(_stcDepParser);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * config class
 */

var _class = function () {
  /**
   * constructor
   */

  function _class() {
    (0, _classCallCheck3.default)(this, _class);

    /**
     * default config
     */
    this._config = {
      product: 'default',
      workers: 0,
      cluster: true,
      cache: true,
      include: '.',
      exclude: '',
      defaultExclude: [/Thumbs\.db$/i, /\.svn|\.git/, /\.DS_Store$/i],
      outputPath: 'output',
      pathHandle: undefined,
      tpl: {
        extname: 'html',
        engine: '',
        adapter: undefined,
        ld: '',
        rd: ''
      },
      jsTpl: {
        type: ['text/html', 'text/template'],
        engine: '',
        adapter: undefined,
        ld: '',
        rd: ''
      },
      dependence: [
        //{plugin: stcDepParser, name: 'defaultDepParser', include: [{type: 'tpl'}]}
      ]
    };
  }
  /**
   * get config
   */


  _class.prototype.get = function get(name) {
    if (!name) {
      return this._config;
    }
    return this._config[name];
  };
  /**
   * set config
   */


  _class.prototype.set = function set(name, value) {
    if ((typeof name === 'undefined' ? 'undefined' : (0, _typeof3.default)(name)) === 'object') {
      this._config = (0, _stcHelper.extend)(this._config, name);
      return this;
    }
    this._config[name] = (0, _stcHelper.extend)(this._config[name], value);
    return this;
  };

  return _class;
}();

exports.default = _class;
//# sourceMappingURL=config.js.map